#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QtGui>
#include <QtXml>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_actionNew_Item_triggered()
{
    QTreeWidgetItem * item = new QTreeWidgetItem;
    item->setText(0, "Abc");
    item->setText(1, "Def");
    QTreeWidgetItem * sub = new QTreeWidgetItem;
    sub->setText(0, "Klm");
    sub->setText(1, "Rst");
    item->addChild(sub);
    ui->treeWidget->addTopLevelItem(item);
}

void MainWindow::on_actionOpen_File_triggered()
{
    QString fileName = QFileDialog::getOpenFileName(this, "Open XM file", "", "*.xml");
    if (fileName != "")
    {
        QFile file (fileName);
        if (file.open(QFile::ReadOnly))
        {
            QDomDocument doc;
            doc.setContent (&file);
            QDomElement e = doc.documentElement();

            QTreeWidgetItem * top = new QTreeWidgetItem;
            top->setText(0, "Root " + e.tagName());
            ui->treeWidget->addTopLevelItem(top);

            QDomElement c = e.firstChildElement();
            while (! c.isNull())
            {
                QTreeWidgetItem * item = new QTreeWidgetItem;
                item->setText(0, c.tagName() + " : " + c.attribute("term"));
                top->addChild(item);

                c = c.nextSiblingElement();
            }

        }

    }

}
